Page MenuHomePhabricator

Deploy WebAuthn to Wikimedia Wikis
Open, NormalPublic

Description

Prep task.

Note, this requires PHP 7 so blocked on completion of T192166: Drop HHVM support from MediaWiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WebAuthn on all beta wikis
mediawiki/vendor : masterAdd vendor libraries for WebAuthn
translatewiki : masterEnable translation for WebAuthn
mediawiki/tools/release : masterStart branching WebAuthn for wmf/

Related Objects

StatusAssignedTask
OpenNone
ResolvedItSpiderman
ResolvedItSpiderman
ResolvedItSpiderman
ResolvedReedy
ResolvedItSpiderman
ResolvedReedy
OpenNone
ResolvedItSpiderman
ResolvedCCicalese_WMF
ResolvedItSpiderman
ResolvedItSpiderman
ResolvedItSpiderman
ResolvedItSpiderman
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
Openjijiki
Openawight
Openjijiki
ResolvedJdforrester-WMF
ResolvedAnomie

Event Timeline

Reedy created this task.Jul 4 2019, 12:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2019, 12:16 AM
Reedy changed the task status from Open to Stalled.Jul 4 2019, 12:18 AM
Jcross triaged this task as Normal priority.Oct 4 2019, 4:16 PM
Jcross moved this task from Backlog to In Progress on the Security-Team board.
Jcross moved this task from In Progress to Watching on the Security-Team board.Oct 4 2019, 4:20 PM

Change 541855 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] Start branching WebAuthn for wmf/

https://gerrit.wikimedia.org/r/541855

Change 541855 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching WebAuthn for wmf/

https://gerrit.wikimedia.org/r/541855

Change 545582 had a related patch set uploaded (by Reedy; owner: Reedy):
[translatewiki@master] Enable translation for WebAuthn

https://gerrit.wikimedia.org/r/545582

Reedy changed the task status from Stalled to Open.Wed, Oct 23, 2:57 PM

We should start getting it translated :)

Change 545582 merged by jenkins-bot:
[translatewiki@master] Enable translation for WebAuthn

https://gerrit.wikimedia.org/r/545582

Change 546975 had a related patch set uploaded (by Jforrester; owner: Reedy):
[operations/mediawiki-config@master] Enable WebAuthn on all beta wikis

https://gerrit.wikimedia.org/r/546975

Change 547215 had a related patch set uploaded (by Jforrester; owner: Reedy):
[mediawiki/vendor@master] Add vendor libraries for WebAuthn

https://gerrit.wikimedia.org/r/547215

Change 547215 merged by jenkins-bot:
[mediawiki/vendor@master] Add vendor libraries for WebAuthn

https://gerrit.wikimedia.org/r/547215

Change 546975 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WebAuthn on all beta wikis

https://gerrit.wikimedia.org/r/546975

Mentioned in SAL (#wikimedia-operations) [2019-11-06T17:09:54Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set wmgUseWebAuthn false in all of production T227242 (duration: 01m 01s)

Mentioned in SAL (#wikimedia-operations) [2019-11-06T17:11:30Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: Enable WebAuthn extension if wmgUseWebAuthn is set (false in all of production) T227242 (duration: 01m 00s)